package tp1.ex2_3;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertTrue;

public class FibonacciTest {
    @Test
    void test1() {
        assertEquals(2, Fibonacci.fibo(2));
    }

    @Test void test2() {
        assertTrue(Fibonacci.fibo(-2) >= 0);
    }

    @Test void test3() {
        assertTrue(Fibonacci.fibo(4) == 3);
    }
}
